> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailerpath.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event canonical vocabulary

> Returns canonical values for source, action_type, and status used in event rules.



## OpenAPI

````yaml /openapi.json get /client/events/vocabulary
openapi: 3.0.1
info:
  title: MailerPath API
  description: This is the API for MailerPath, a service for managing and sending emails.
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    url: http://www.swagger.io/support
    email: support@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.38.0
servers:
  - url: https://api.mailerpath.com/api/v1
security: []
paths:
  /client/events/vocabulary:
    get:
      tags:
        - Events
      summary: Get event canonical vocabulary
      description: >-
        Returns canonical values for source, action_type, and status used in
        event rules.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/internal_api.APIResponse'
                  - type: object
                    properties:
                      data:
                        $ref: >-
                          #/components/schemas/internal_api.ClientEventVocabularyResponse
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api.APIResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    internal_api.APIResponse:
      type: object
      properties:
        data:
          type: object
        errors:
          type: array
          items:
            $ref: '#/components/schemas/internal_api.ValidationError'
        message:
          type: string
          example: Operation successful
        meta:
          type: object
        success:
          type: boolean
          example: true
    internal_api.ClientEventVocabularyResponse:
      type: object
      properties:
        fields:
          type: array
          items:
            $ref: '#/components/schemas/internal_api.EventVocabularyField'
        updated_at:
          type: string
    internal_api.ValidationError:
      type: object
      properties:
        condition:
          type: string
          example: format
        error:
          type: string
          example: Invalid email format
        key:
          type: string
          example: email
    internal_api.EventVocabularyField:
      type: object
      properties:
        canonical_values:
          type: array
          items:
            type: string
        field_name:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: JWT Bearer token or raw API key via Authorization header
      name: Authorization
      in: header

````